package com.fms.system.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fms.common.annotation.Excel;
import com.fms.common.core.domain.BaseEntity;

/**
 * 机型系列对象 brand_t
 * 
 * @author Allen
 * @date 2024-05-14
 */
public class Brand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long brandId;

    /** 机型系列名称 */
    @Excel(name = "机型系列名称")
    private String brandName;

    /** 机型信息 */
    private List<AircraftType> aircraftTypeList;

    public void setBrandId(Long brandId) 
    {
        this.brandId = brandId;
    }

    public Long getBrandId() 
    {
        return brandId;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }

    public List<AircraftType> getAircraftTypeList()
    {
        return aircraftTypeList;
    }

    public void setAircraftTypeList(List<AircraftType> aircraftTypeList)
    {
        this.aircraftTypeList = aircraftTypeList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandId", getBrandId())
            .append("brandName", getBrandName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("aircraftTypeList", getAircraftTypeList())
            .toString();
    }
}
